#ifndef RAND_HPP
#define RAND_HPP

#include <stdlib.h>
#include <algorithm>

class Rand 
{
private:
  Rand();

public:
  // singleton
  static Rand& get_instance();

  inline int number(int max) { return rand()/(RAND_MAX/max+1); }
};

#endif
